Discussions specific to the Microsoft Hyper-V hypervisor
Post Reply
Didi7
Expert
Posts: 374
Liked: 39 times
Joined: Oct 17, 2014 8:09 am
Location: Hypervisor
Contact:

Problems with Veeam Explorer for MS Active Directory ...

Post by Didi7 » Mar 11, 2019 2:52 pm

Hello,

we have a nice error regarding restore of AD objects in VBR 9.5 U4. The Veeam B&R server is running on Windows Server 2016 v1607, the B2D-repository is located on NTFS and not on ReFS. We have Hyper-V running under Windows Server 2016 v1607 and inside of the Hyper-V server, there is still a Windows Server 2003 SP2 Domain Controller VM running.

The backup with activated AAIP runs fine. The restore of AD objects fails, because as soon as the Veeam Explorer for Microsoft Active Directory opens, the following error screen is presented ...

The specified database cannot be opened on this OS version.
JetError -514, JET_errBadLogVersion, Version of log files is not compatible with Jet version

Is restoring of AD objects from a Windows Server 2003 SP2 Domain Controller on Windows Server 2016 v1607 Veeam Backup & Replication server not possible?

If yes, good to know.

Best regards,
Didi7
Using the most recent Veeam B&R in 19 different environments now and counting!

Mike Resseler
Product Manager
Posts: 6028
Liked: 693 times
Joined: Feb 08, 2013 3:08 pm
Full Name: Mike Resseler
Location: Belgium
Contact:

Re: Problems with Veeam Explorer for MS Active Directory ...

Post by Mike Resseler » Mar 12, 2019 6:49 am

Hey Didi7,

Just so we are on the same path. You open the Veeam explorer for AD on the Windows server 2016? And the backup that you open comes from a Windows server 2003 SP2 DC?

In that case you can get indeed into problems because the underlying jet engine used to open the Active Directory database needs to be more or less aligned. From our user guide:

Database files created by the domain controller can be opened for object recovery with Veeam Explorer for Active Directory only if Veeam Explorer is installed on a Windows machine with the same OS version or higher that the version of that domain controller OS.
Esent.dll on a machine with Veeam Explorer must be of the same version as Microsoft Active Directory Domain Services that was used to create database files.

I think in this case (w2k03 is a long time ago for me ;-)) that it is Esent.dll which is causing the issue. Do you have the possibility to install the Veeam Explorer on a w2k03 SP2 (64-bit) and try to open the backup from that location? I actually assume that a 2k08 will also work but...

HannesK
Veeam Software
Posts: 5459
Liked: 739 times
Joined: Sep 01, 2014 11:46 am
Location: Austria
Contact:

Re: Problems with Veeam Explorer for MS Active Directory ...

Post by HannesK » Mar 12, 2019 6:51 am

Hello Didi7,
as far as I can see Windows Server 2003 SP2 with domain and forest functional level Windows 2003 is still supported. Support will be dropped with the next major release.

On the other hand, the error message quite clear. For further investigations I would like to ask you to open a support case and post the case number here.

Just to make sure, your domain and forest functional level is 2003?

Thanks,
Hannes

Didi7
Expert
Posts: 374
Liked: 39 times
Joined: Oct 17, 2014 8:09 am
Location: Hypervisor
Contact:

Re: Problems with Veeam Explorer for MS Active Directory ...

Post by Didi7 » Mar 12, 2019 2:53 pm

Mike Resseler wrote:
Mar 12, 2019 6:49 am
Just so we are on the same path. You open the Veeam explorer for AD on the Windows server 2016? And the backup that you open comes from a Windows server 2003 SP2 DC?
Exactly! And yes, Windows Server 2003 is outdated, unfortunately this domain with this old OS is still running and won't be upgraded, as it is an old network, that's only used for reference and nobody wants to invest anything to upgrade this old environment :twisted:

And Windows Server 2016 is equal or higher than Windows Server 2003 as well, but I don't mind, if it's no longer supported to restore AD objects on a Windows Server 2016 from a Windows Server 2003 domain :lol:
Using the most recent Veeam B&R in 19 different environments now and counting!

Didi7
Expert
Posts: 374
Liked: 39 times
Joined: Oct 17, 2014 8:09 am
Location: Hypervisor
Contact:

Re: Problems with Veeam Explorer for MS Active Directory ...

Post by Didi7 » Mar 12, 2019 3:04 pm

HannesK wrote:
Mar 12, 2019 6:51 am
as far as I can see Windows Server 2003 SP2 with domain and forest functional level Windows 2003 is still supported. Support will be dropped with the next major release.

On the other hand, the error message quite clear. For further investigations I would like to ask you to open a support case and post the case number here.

Just to make sure, your domain and forest functional level is 2003?
Hello Hannes,

It is funnier than I expected! The domain functional level is still Windows 2000 mixed and the forest functional level is Windows 2000 :roll:

So, no wonder this doesn't work. I will try the same by providing the Veeam Explorer for MS Active Directory on the 2003 DC itself and see, if that helps.

Best regards,
Didi7
Using the most recent Veeam B&R in 19 different environments now and counting!

Didi7
Expert
Posts: 374
Liked: 39 times
Joined: Oct 17, 2014 8:09 am
Location: Hypervisor
Contact:

Re: Problems with Veeam Explorer for MS Active Directory ...

Post by Didi7 » Mar 12, 2019 3:12 pm

Ok, next problem. The Veeam Explorer for MS Active Directory from VBR 9.5 U4 cannot be installed on Windows Server 2003 SP2 DC and an Intel Xeon CPU E5-2620. The error that appears is …

This installation package is not supported by this processor type. Contact your product vendor.

This Windows Server 2003 SP2 DC VM is running under Hyper-V 2016 and the underlying hardware is an HPE ProLiant DL360 G9.

What's going on here?

Best regards,
Didi7
Using the most recent Veeam B&R in 19 different environments now and counting!

Didi7
Expert
Posts: 374
Liked: 39 times
Joined: Oct 17, 2014 8:09 am
Location: Hypervisor
Contact:

Re: Problems with Veeam Explorer for MS Active Directory ...

Post by Didi7 » Mar 12, 2019 3:15 pm

Seems as if the Veeam Explorer for MS Active Directory from VBR 9.5 U4 is x64 architecture. Is there an x86 version available?
Using the most recent Veeam B&R in 19 different environments now and counting!

HannesK
Veeam Software
Posts: 5459
Liked: 739 times
Joined: Sep 01, 2014 11:46 am
Location: Austria
Contact:

Re: Problems with Veeam Explorer for MS Active Directory ...

Post by HannesK » Mar 12, 2019 3:30 pm

Hello,
I searched the release notes up to version 8.0 (2014) where we introduced the explorers. Everything is 64bit and requires domain / forest level 2003.

Could virtual lab help to solve your problem? Export the data you need manually and import manually?

Best regards,
Hannes

Didi7
Expert
Posts: 374
Liked: 39 times
Joined: Oct 17, 2014 8:09 am
Location: Hypervisor
Contact:

Re: Problems with Veeam Explorer for MS Active Directory ...

Post by Didi7 » Mar 12, 2019 4:57 pm

Hello Hannes,

please don't worry. It's not a production environment. I instructed my new colleague, reponsible for security, to have a look into this environment and to point out, that this old outdated network environment needs to be shutdown asap, as it's no longer safe.

I really doubt that I might find the time to try the virtual lab solution.

Best regards,
Didi7
Using the most recent Veeam B&R in 19 different environments now and counting!

DavidL86
Influencer
Posts: 18
Liked: 1 time
Joined: Dec 21, 2018 5:12 pm
Full Name: David LETTIERI
Contact:

Re: Problems with Veeam Explorer for MS Active Directory ...

Post by DavidL86 » May 29, 2019 8:25 am

Hello,

Same problem here.
Win2003 SP2 Domain controllers with 2003 Domain level. Veeam backup server is on 2016

I tried to use a WS 2K3R2 SP2 X64 to install Veeam explorer but it's won't install (I tested 8, 9, or 9.5 versions). How am I supposed to restore AD objects, since it is supported ?
https://helpcenter.veeam.com/docs/backu ... l?ver=95u4

Thanks for your help

Regards

Mike Resseler
Product Manager
Posts: 6028
Liked: 693 times
Joined: Feb 08, 2013 3:08 pm
Full Name: Mike Resseler
Location: Belgium
Contact:

Re: Problems with Veeam Explorer for MS Active Directory ...

Post by Mike Resseler » May 29, 2019 8:31 am

Hi David,

Can you open the Veeam Explorers from the Veeam Backup server? That should give you all the restore possibilities. The explorer itself does not need to run from the domain controllers

DavidL86
Influencer
Posts: 18
Liked: 1 time
Joined: Dec 21, 2018 5:12 pm
Full Name: David LETTIERI
Contact:

Re: Problems with Veeam Explorer for MS Active Directory ...

Post by DavidL86 » May 29, 2019 8:43 am

Hi,

Opening Veeam Explorer from veeam backup server gives me the same error :
The specified database cannot be opened on this OS version.
JetError -514, JET_errBadLogVersion, Version of log files is not compatible with Jet version

I wasn't trying to open it from the domain controller, but from a separate W2K3 server, as you suggested previously

Thanks

Mike Resseler
Product Manager
Posts: 6028
Liked: 693 times
Joined: Feb 08, 2013 3:08 pm
Full Name: Mike Resseler
Location: Belgium
Contact:

Re: Problems with Veeam Explorer for MS Active Directory ...

Post by Mike Resseler » May 29, 2019 9:05 am

David,

If you can't open it from the backup server and receive that error, I suggest you open a support case. That doesn't look normal to me
Please post the case ID and outcome after investigation here also.
Thanks
Mike

DavidL86
Influencer
Posts: 18
Liked: 1 time
Joined: Dec 21, 2018 5:12 pm
Full Name: David LETTIERI
Contact:

Re: Problems with Veeam Explorer for MS Active Directory ...

Post by DavidL86 » May 29, 2019 12:21 pm

Mike,

Support Case opened : ID 03589699

Regards

Post Reply

Who is online

Users browsing this forum: No registered users and 14 guests